%define python_version %(python -c 'import sys; print sys.version[:3]')

Summary: Embeddable database
Name: metakit
Version: 2.4.9.7
Release: 7%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://www.equi4.com/metakit/
Source: http://www.equi4.com/pub/mk/metakit-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: tcl
BuildRequires: tcl-devel, python-devel

%description
MetaKit is an embeddable database which runs on Unix, Windows,
Macintosh, and other platforms. It lets you build applications which
store their data efficiently, in a portable way, and which will not
need a complex runtime installation. In terms of the data model,
MetaKit takes the middle ground between RDBMS, OODBMS, and flat-file
databases - yet it is quite different from each of them.


%package devel
Summary: Header files and development documentation for metakit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and development documentation for metakit.


%prep
%setup -q
# Remove all executable bits, except those needed
find . -type f -exec chmod -x {} \;
chmod +x unix/configure unix/scripts/*


%build
pushd unix
    %configure \
        --with-python="%{_includedir}/python%{python_version},%{_libdir}/python%{python_version}" \
        --with-tcl=%{_includedir},%{_libdir}
    %{__make} %{?_smp_mflags}
popd


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/python%{python_version}/site-packages/
%{__make} install -C unix DESTDIR=%{buildroot}

# Put python module back into place
%{__mv} %{buildroot}%{_libdir}/python%{python_version}/*.* \
        %{buildroot}%{_libdir}/python%{python_version}/site-packages/


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so
%{_libdir}/python%{python_version}/site-packages/Mk4py.so
%{_libdir}/python%{python_version}/site-packages/metakit.py*
#{_prefix}/lib/tcl*/Mk4tcl/
%{_libdir}/Mk4tcl/


%files devel
%defattr(-,root,root,-)
%doc CHANGES doc/*
%{_includedir}/*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.4.9.7-6
- Rebuild for Python 2.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.4.9.7-5
- Autorebuild for GCC 4.3

* Mon Oct 22 2007 Matthias Saou <http://freshrpms.net/> 2.4.9.7-4
- Update to latest upstream sources... same filename, different content!

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 2.4.9.7-3
- Rebuild for new BuildID feature.

* Mon Aug  6 2007 Matthias Saou <http://freshrpms.net/> 2.4.9.7-2
- Fix License field, it's "MIT", not "GPL".

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 2.4.9.7-1
- Update to 2.4.9.7.
- Move tcl files to a sub-dir of %%{_libdir} (#228177)... :-/

* Mon Dec 11 2006 Matthias Saou <http://freshrpms.net/> 2.4.9.6-1
- Update to 2.4.9.6.
- Rebuild against python 2.5 on devel (FC7) branch.
- Remove no longer needed 64bit fix patch and autotools build requirements.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 2.4.9.5-3
- FC6 rebuild.
- Remove gcc-c++ build requirement, it's a default.
- Require exact release in the devel sub-package.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 2.4.9.5-2
- FC5 rebuild.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 2.4.9.5-1
- Update to 2.4.9.5.
- Remove no longer nostrip patch.

* Thu May 26 2005 Matthias Saou <http://freshrpms.net/> 2.4.9.3-8
- Move libraries back to _libdir (why lib32dir in the first place?) (#158586)
- Move python module into site-packages/.
- Disable stripping of the lib and the python module lib.

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 2.4.9.3-7
- fix for 64bit problems; initial patch from Ignacio, more from me (#159460)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.4.9.3-6
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.9.3-5
- rebuilt

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-4
- Bump release to provide Extras upgrade path.

* Tue Aug 24 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-3
- Add explicit dependency on tcl, as the bindings are in a directory created by
  this package, whereas the tcl package creates symlinks instead (clash).

* Mon Jul 18 2004 Dag Wieers <dag@wieers.com> - 2.4.9.3-2
- Added tcl and python libraries.

* Thu May 20 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-2
- Rebuild for Fedora Core 2.

* Sun May 16 2004 Matthias Saou <http://freshrpms.net/> 2.4.9.3-1
- Updated to release 2.4.9.3.

* Fri Nov 14 2003 Matthias Saou <http://freshrpms.net/> 2.4.9.2-3
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Update to 2.4.9.2.
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Wed Dec  4 2002 Matthias Saou <http://freshrpms.net/>
- Initial RPM release, based on PLD spec file.

